Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class Cassandra.get_args

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra.get_args

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.get_args>, org.apache.thrift.TBase<Cassandra.get_args._Fields>

Enclosing class:
  Cassandra

    public static class Cassandra.get_args

extends java.lang.Object
implements org.apache.thrift.TBase<Cassandra.get_args._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.get_args>

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Cassandra.get_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`ColumnPath` | `column_path`
`ConsistencyLevel` | `consistency_level`
`java.lang.String` | `key`
`java.lang.String` | `keyspace`
`static java.util.Map<Cassandra.get_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

Constructor Summary
`Cassandra.get_args()`
`Cassandra.get_args(Cassandra.get_args other)` Performs a deep copy on other.
`Cassandra.get_args(java.lang.String keyspace, java.lang.String key, ColumnPath column_path, ConsistencyLevel consistency_level)`

Method Summary
`Cassandra.get_args` | `clone()` Deprecated.
`int` | `compareTo(Cassandra.get_args other)`
`Cassandra.get_args` | `deepCopy()`
`boolean` | `equals(Cassandra.get_args that)`
`boolean` | `equals(java.lang.Object that)`
`ColumnPath` | `getColumn_path()`
`ConsistencyLevel` | `getConsistency_level()`
`java.lang.Object` | `getFieldValue(Cassandra.get_args._Fields field)`
`java.lang.Object` | `getFieldValue(int fieldId)`
`java.lang.String` | `getKey()`
`java.lang.String` | `getKeyspace()`
`int` | `hashCode()`
`boolean` | `isSet(Cassandra.get_args._Fields field)` Returns true if field corresponding to fieldID is set (has been asigned a value) and false otherwise
`boolean` | `isSet(int fieldID)`
`boolean` | `isSetColumn_path()` Returns true if field column_path is set (has been asigned a value) and false otherwise
`boolean` | `isSetConsistency_level()` Returns true if field consistency_level is set (has been asigned a value) and false otherwise
`boolean` | `isSetKey()` Returns true if field key is set (has been asigned a value) and false otherwise
`boolean` | `isSetKeyspace()` Returns true if field keyspace is set (has been asigned a value) and false otherwise
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`Cassandra.get_args` | `setColumn_path(ColumnPath column_path)`
`void` | `setColumn_pathIsSet(boolean value)`
`Cassandra.get_args` | `setConsistency_level(ConsistencyLevel consistency_level)`
`void` | `setConsistency_levelIsSet(boolean value)`
`void` | `setFieldValue(Cassandra.get_args._Fields field, java.lang.Object value)`
`void` | `setFieldValue(int fieldID, java.lang.Object value)`
`Cassandra.get_args` | `setKey(java.lang.String key)`
`void` | `setKeyIsSet(boolean value)`
`Cassandra.get_args` | `setKeyspace(java.lang.String keyspace)`
`void` | `setKeyspaceIsSet(boolean value)`
`java.lang.String` | `toString()`
`void` | `unsetColumn_path()`
`void` | `unsetConsistency_level()`
`void` | `unsetKey()`
`void` | `unsetKeyspace()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### keyspace

    public java.lang.String keyspace

### key

    public java.lang.String key

### column_path

    public ColumnPath column_path

### consistency_level

    public ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

### metaDataMap

    public static final java.util.Map<Cassandra.get_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### Cassandra.get_args

    public Cassandra.get_args()

### Cassandra.get_args

    public Cassandra.get_args(java.lang.String keyspace,
                              java.lang.String key,
                              ColumnPath column_path,
                              ConsistencyLevel consistency_level)

### Cassandra.get_args

    public Cassandra.get_args(Cassandra.get_args other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public Cassandra.get_args deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.get_args._Fields>`

### clone

    @Deprecated
    public Cassandra.get_args clone()

  Deprecated.

  Overrides:
    `clone` in class `java.lang.Object`

### getKeyspace

    public java.lang.String getKeyspace()

### setKeyspace

    public Cassandra.get_args setKeyspace(java.lang.String keyspace)

### unsetKeyspace

    public void unsetKeyspace()

### isSetKeyspace

    public boolean isSetKeyspace()

  Returns true if field keyspace is set (has been asigned a value) and false otherwise

### setKeyspaceIsSet

    public void setKeyspaceIsSet(boolean value)

### getKey

    public java.lang.String getKey()

### setKey

    public Cassandra.get_args setKey(java.lang.String key)

### unsetKey

    public void unsetKey()

### isSetKey

    public boolean isSetKey()

  Returns true if field key is set (has been asigned a value) and false otherwise

### setKeyIsSet

    public void setKeyIsSet(boolean value)

### getColumn_path

    public ColumnPath getColumn_path()

### setColumn_path

    public Cassandra.get_args setColumn_path(ColumnPath column_path)

### unsetColumn_path

    public void unsetColumn_path()

### isSetColumn_path

    public boolean isSetColumn_path()

  Returns true if field column_path is set (has been asigned a value) and false otherwise

### setColumn_pathIsSet

    public void setColumn_pathIsSet(boolean value)

### getConsistency_level

    public ConsistencyLevel getConsistency_level()

  See Also:
    `ConsistencyLevel`

### setConsistency_level

    public Cassandra.get_args setConsistency_level(ConsistencyLevel consistency_level)

  See Also:
    `ConsistencyLevel`

### unsetConsistency_level

    public void unsetConsistency_level()

### isSetConsistency_level

    public boolean isSetConsistency_level()

  Returns true if field consistency_level is set (has been asigned a value) and false otherwise

### setConsistency_levelIsSet

    public void setConsistency_levelIsSet(boolean value)

### setFieldValue

    public void setFieldValue(Cassandra.get_args._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_args._Fields>`

### setFieldValue

    public void setFieldValue(int fieldID,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_args._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(Cassandra.get_args._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_args._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(int fieldId)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_args._Fields>`

### isSet

    public boolean isSet(Cassandra.get_args._Fields field)

  Returns true if field corresponding to fieldID is set (has been asigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.get_args._Fields>`

### isSet

    public boolean isSet(int fieldID)

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.get_args._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(Cassandra.get_args that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(Cassandra.get_args other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Cassandra.get_args>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<Cassandra.get_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<Cassandra.get_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation